libcoap 4.3.2rc2

Functions | Variables
coap_prng.c File Reference

Pseudo Random Number functions. More...

`#include "coap3/coap_internal.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
static int | coap_prng_default (void *buf, size_t len)
void | coap_set_prng (coap_rand_func_t rng)
| Replaces the current random number generation function with the default function `rng`. More...
void | coap_prng_init (unsigned int seed)
| Seeds the default random number generation function with the given `seed`. More...
int | coap_prng (void *buf, size_t len)
| Fills `buf` with `len` random bytes using the default pseudo random number generator. More...

## Variables
static coap_rand_func_t | rand_func = coap_prng_default

## Detailed Description

Pseudo Random Number functions.

Definition in file coap_prng.c.

## Function Documentation

## ◆ coap_prng_default()

static int coap_prng_default | ( | void * | buf,
|  | size_t | len
| ) |  |
| static

Definition at line 63 of file coap_prng.c.

## Variable Documentation

## ◆ rand_func

coap_rand_func_t rand_func = coap_prng_default
| static

Definition at line 116 of file coap_prng.c.